DROP AGGREGATE(7)

NAME
DROP_AGGREGATE - remove an aggregate function

SYNOPSIS

DROP AGGREGATE [ IF EXISTS ] name ( type [ , ... ] ) [ CASCADE | RESTRICT ]

DESCRIPTION

DROP AGGREGATE removes an existing aggregate function. To execute this command the current user must be the owner of the aggregate function.

PARAMETERS

IF EXISTS
    Do not throw an error if the aggregate does not exist. A notice is issued in this case.

name
    The name (optionally schema-qualified) of an existing aggregate function.

type
    An input data type on which the aggregate function operates. To reference a zero-argument aggregate function, write * in place of the list of input data types.

CASCADE
    Automatically drop objects that depend on the aggregate function.

RESTRICT
    Refuse to drop the aggregate function if any objects depend on it. This is the default.

EXAMPLES

To remove the aggregate function myavg for type integer:

    DROP AGGREGATE myavg(integer);

COMPATIBILITY

There is no DROP AGGREGATE statement in the SQL standard.

SEE ALSO
ALTER AGGREGATE (ALTER_AGGREGATE(7)), CREATE AGGREGATE (CREATE_AGGREGATE(7))